Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5505 - low disk space causes a crash
Summary: low disk space causes a crash
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gimp
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-04 19:39 UTC by bcboy
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 06:15:42 UTC


Attachments (Terms of Use)

Description bcboy 1999-10-04 19:39:05 UTC
If the /home partition fills up, gimp will choke trying to
write to the swap file in ~/.gimp. No surprise there, but it
appears to get stuck in a loop reporting the error. Hundreds
of dialog boxes pop up reporting the write error. X is
unresponsive at this point. There's no way to stop it except
switching to a console & killing the gimp process.

Sadly, when I did this the X server did not recover. The
gimp windows all closed, but the server was so tweaked it
could not be shut down. The console hot-keys no longer
worked, nor did ctrl-alt-backspace. It took a ctrl-alt-del
to get the machine out of this state.

This seems to indicate a problem in the X server as well (S3
ViRGE, SVGA server).

Comment 1 Matt Wilson 2000-02-09 06:15:59 UTC
The fix would require significant changes to the GIMP tile manager.  I don't
expect for this problem to be addressed until version 1.2 of The GIMP.  The GIMP
developers were aware of a problem in 1.0.x series.

Hopefully 1.2 will work better - it has significant tile manager improvements.


Note You need to log in before you can comment on or make changes to this bug.